# Scoring

### How does it work?

**Data Ninja Scoring module requires input data in form of a list of bank transactions (data from AIS/PSD2)**. This data is later used to fuel the credit scoring model. A credit score is a numerical value that evaluates the financial well-being of your customer. Based on that you can decide whether to, for example, grant a loan or at which rate.

How to interpret the scoring values ​​is individual per implemented specific model. Contact us at <tech@transactionlink.io> for detailed information.

### Response content:

#### dataNinja

| Attribute                         | Type     | Description           |
| --------------------------------- | -------- | --------------------- |
| [`creditScoring`](#creditscoring) | `object` | Credit scoring result |

#### **creditScoring**

| Attribute         | Type     | Description                                                        |
| ----------------- | -------- | ------------------------------------------------------------------ |
| `scoringCrif`     | `number` | scoring based entirely on CRIF data. It takes values ​​from 0 to 1 |
| `scoringTransact` | `number` | scoring based on banking data. It takes values ​​from 0 to 1       |

#### Example response

```json
{
    "dataNinja":{
        "creditScoring":{
            "scoringCrif":0.0,
            "scoringTransact":0.0
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/data-ninja/scoring.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
